enumerations

## Enum DataFieldCode

- java.lang.Object
- - java.lang.Enum<DataFieldCode>
  - - enumerations.DataFieldCode

- All Implemented Interfaces:
    EnumBase, java.io.Serializable, java.lang.Comparable<DataFieldCode>

      public enum DataFieldCode
      extends java.lang.Enum<DataFieldCode>
      implements EnumBase

  Data-field codes specified in Wireless M-Bus, their binary representations, meanings and sizes of described data.
  Author:
    David Hudec (dwdization@gmail.com)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BCD12`
    `BCD2`
    `BCD4`
    `BCD6`
    `BCD8`
    `Integer16`
    `Integer24`
    `Integer32`
    `Integer48`
    `Integer64`
    `Integer8`
    `NoData`
    `Real32`
    `SelectionForReadout`
    `Special`
    `VariableLength`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `bits`
    `private int` | `length`
    `private java.lang.String` | `niceName`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBits()`
    `int` | `getLength()`
    `java.lang.String` | `getNiceName()`
    `static DataFieldCode` | `parse(java.lang.String dataFieldBits)`
    `java.lang.String` | `toString()`
    `static DataFieldCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DataFieldCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface core.EnumBase

      `ordinal`

- - ### Enum Constant Detail

    - #### BCD12

          public static final DataFieldCode BCD12

    - #### BCD2

          public static final DataFieldCode BCD2

    - #### BCD4

          public static final DataFieldCode BCD4

    - #### BCD6

          public static final DataFieldCode BCD6

    - #### BCD8

          public static final DataFieldCode BCD8

    - #### Integer16

          public static final DataFieldCode Integer16

    - #### Integer24

          public static final DataFieldCode Integer24

    - #### Integer32

          public static final DataFieldCode Integer32

    - #### Integer48

          public static final DataFieldCode Integer48

    - #### Integer64

          public static final DataFieldCode Integer64

    - #### Integer8

          public static final DataFieldCode Integer8

    - #### NoData

          public static final DataFieldCode NoData

    - #### Real32

          public static final DataFieldCode Real32

    - #### SelectionForReadout

          public static final DataFieldCode SelectionForReadout

    - #### Special

          public static final DataFieldCode Special

    - #### VariableLength

          public static final DataFieldCode VariableLength

  - ### Field Detail

    - #### bits

          private java.lang.String bits

    - #### length

          private int length

    - #### niceName

          private java.lang.String niceName

  - ### Method Detail

    - #### getBits

          public java.lang.String getBits()

    - #### getLength

          public int getLength()

    - #### getNiceName

          public java.lang.String getNiceName()

      Specified by:
        `getNiceName` in interface `EnumBase`

    - #### parse

          public static DataFieldCode parse(java.lang.String dataFieldBits)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<DataFieldCode>`

    - #### valueOf

          public static DataFieldCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### values

          public static DataFieldCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DataFieldCode c : DataFieldCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared